Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Attributes | Protected Attributes | List of all members
eZ\Publish\API\Repository\Values\Content\URLAlias Class Reference
Inheritance diagram for eZ\Publish\API\Repository\Values\Content\URLAlias:

## Public Attributes
const | LOCATION = 0
const | RESOURCE = 1
const | VIRTUAL = 2

## Protected Attributes
| $id
| $type
| $destination
| $path
| $languageCodes
| $alwaysAvailable
| $isHistory
| $isCustom
| $forward

## Additional Inherited Members
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

Definition at line 24 of file API/Repository/Values/Content/URLAlias.php.

## Member Data Documentation

## ◆ $alwaysAvailable

eZ\Publish\API\Repository\Values\Content\URLAlias::$alwaysAvailable
| protected

Definition at line 74 of file API/Repository/Values/Content/URLAlias.php.

## ◆ $destination

eZ\Publish\API\Repository\Values\Content\URLAlias::$destination
| protected

Definition at line 53 of file API/Repository/Values/Content/URLAlias.php.

## ◆ $forward

eZ\Publish\API\Repository\Values\Content\URLAlias::$forward
| protected

Definition at line 95 of file API/Repository/Values/Content/URLAlias.php.

## ◆ $id

eZ\Publish\API\Repository\Values\Content\URLAlias::$id
| protected

Definition at line 38 of file API/Repository/Values/Content/URLAlias.php.

## ◆ $isCustom

eZ\Publish\API\Repository\Values\Content\URLAlias::$isCustom
| protected

Definition at line 88 of file API/Repository/Values/Content/URLAlias.php.

## ◆ $isHistory

eZ\Publish\API\Repository\Values\Content\URLAlias::$isHistory
| protected

Definition at line 81 of file API/Repository/Values/Content/URLAlias.php.

## ◆ $languageCodes

eZ\Publish\API\Repository\Values\Content\URLAlias::$languageCodes
| protected

Definition at line 67 of file API/Repository/Values/Content/URLAlias.php.

## ◆ $path

eZ\Publish\API\Repository\Values\Content\URLAlias::$path
| protected

Definition at line 60 of file API/Repository/Values/Content/URLAlias.php.

## ◆ $type

eZ\Publish\API\Repository\Values\Content\URLAlias::$type
| protected

Definition at line 45 of file API/Repository/Values/Content/URLAlias.php.

## ◆ LOCATION

const eZ\Publish\API\Repository\Values\Content\URLAlias::LOCATION = 0

Definition at line 26 of file API/Repository/Values/Content/URLAlias.php.

Referenced by eZ\Publish\Core\MVC\Symfony\Routing\UrlAliasRouter\matchRequest().

## ◆ RESOURCE

const eZ\Publish\API\Repository\Values\Content\URLAlias::RESOURCE = 1

Definition at line 27 of file API/Repository/Values/Content/URLAlias.php.

Referenced by eZ\Publish\Core\MVC\Symfony\Routing\UrlAliasRouter\matchRequest().

## ◆ VIRTUAL

read int $type The type of the URL Alias i e one of URLAlias::LOCATION URLAlias::RESOURCE eZ\Publish\API\Repository\Values\Content\URLAlias::VIRTUAL = 2

Definition at line 28 of file API/Repository/Values/Content/URLAlias.php.

Referenced by eZ\Publish\Core\MVC\Symfony\Routing\UrlAliasRouter\matchRequest().

The documentation for this class was generated from the following file:

- API/Repository/Values/Content/URLAlias.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.